Pie and donut charts not rendering

Hi there!
I have some problem under Java: 11.0.11+9, Oracle Corporation with v52.0 (Apr 2021). The issue is when i start pp i can render one pie/donut chart, then never again. This is quite annoying and do not have any idea why does it happens. Anybody has any idea how should i fix it? I installed it from this AUR [AUR (en) - portfolio]
Thanks for your help!
Error log shows (i do not know if its connected):

Tue May 18 19:25:25 CEST 2021
Problems occurred when invoking code from plug-in: "org.eclipse.equinox.app".

java.lang.NoClassDefFoundError: org/eclipse/swt/accessibility/AccessibleObject
	at org.eclipse.equinox.launcher.JNIBridge._takedown_splash(Native Method)
	at org.eclipse.equinox.launcher.JNIBridge.takeDownSplash(JNIBridge.java:173)
	at org.eclipse.equinox.launcher.Main.takeDownSplash(Main.java:2170)
	at org.eclipse.equinox.launcher.Main$SplashHandler.run(Main.java:122)
	at org.eclipse.core.runtime.internal.adaptor.DefaultStartupMonitor.applicationRunning(DefaultStartupMonitor.java:71)
	at org.eclipse.equinox.internal.app.EclipseAppHandle$1.run(EclipseAppHandle.java:279)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.applicationRunning(EclipseAppHandle.java:267)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$5.run(PartRenderingEngine.java:1092)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:338)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1046)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:155)
	at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start(E4Application.java:166)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:653)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:590)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1461)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1434)
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.accessibility.AccessibleObject
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:581)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:522)
	... 26 more
1 Like

Same here. I think it is not a PP-problem, because everything was fine before the update of

$ dpkg -l | grep libwebkit
ii  libwebkit2gtk-4.0-37:amd64                       2.32.0-0ubuntu0.20.04.1                    amd64        Web content engine library for GTK
3 Likes

Thank you so much for the solution! It worked perfectly well.

Any idea what should i do under manjaro?

Maybe Downgrading packages - Manjaro?

Unfortunately it worked just for a while and the issue is back. Is their any permanent fix? Thanks for the help in advance.

Maybe apt-pinning is the answer, see PinningHowto - Community Help Wiki

I don’t use pinning, so I can’t give advice.

2 Likes

Thanks for the solution. I performed Apt holding following the link. Working post-update also.
sudo apt-mark hold libwebkit2gtk-4.0-37=2.28.1-1 libjavascriptcoregtk-4.0-18=2.28.1-1

1 Like

I see the same and I try to find out what is happening. On the terminal I find:

SWT WebKitGDBus: there was an error executing something synchronously with the extension.
SWT WebKitGDBus: the error message is: The connection is closed
SWT webkit: failure registering BrowserFunction loadData
SWT WebKitGDBus: there was an error executing something synchronously with the extension.
SWT WebKitGDBus: the error message is: The connection is closed
SWT webkit: failure registering BrowserFunction onItemSelected

Downgrading libwebkit2gtk and libjavascriptcoregtk might be a temporary solution but it is definitely not a real fix to the problem here. Also interesting, if you restart PP with one of the mentioned charts open, the first render works and I see the chart. But after changing back and forth, this fails.

1 Like

Hello,
I’m also having an issue with charts, so I can’t see anything in the Holdings section.

I have a Windows version though: I downloaded the zip package (without going through the full installation).

Any hint of which library I am missing and how to fix?

Thanks!

Same here on Ubuntu 22.04…already tried the downgrade of the mentioned packages, but it does not work anymore.

Any news about it?

Thanks anyway to the developers of this complex and amazing software

Hi @Hopper ,
the issue was fixed. Please activate Option “Use SWTChart library for pie charts” and restart PP.
(see also Keine Tortendiagramme sichtbar - #89 by Fonds-Investor)

1 Like